%define debug_package %{nil}

Summary:	Disk encryption software 
Name:		veracrypt
Version:	1.19
Release:	%mkrel 2
License:	Microsoft Public License
Group:		File tools
Url:		https://veracrypt.codeplex.com
Source0:	https://github.com/veracrypt/VeraCrypt/archive/VeraCrypt-VeraCrypt_%{version}.tar.gz
Patch1:		veracrypt-1.0f-2-no-makeself.patch
Patch2:		veracrypt-1.0f-2-desktop.patch 
Patch3:         VeraCrypt-VeraCrypt_1.19-fix-desktop-files.patch
BuildRequires:	wxgtku3.0-devel
BuildRequires:	nasm
BuildRequires:	fuse-devel
BuildRequires:	imagemagick

%description
Free disk encryption software based on TrueCrypt.

%files
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_iconsdir}/hicolor/*/apps/*

#----------------------------------------------------------------------------

%prep
%setup -qn VeraCrypt-VeraCrypt_%{version}
%autopatch -p1

%build
pushd src
%make
popd

pushd src/Resources/Icons
convert VeraCrypt-16x16.xpm VeraCrypt-16x16.png
convert VeraCrypt-48x48.xpm VeraCrypt-48x48.png
popd

rm -f src/Setup/Linux/usr/bin/veracrypt-uninstall.sh

%install
cp -r src/Setup/Linux/usr %{buildroot}
mkdir -p %{buildroot}%{_iconsdir}/hicolor/16x16/apps/
mkdir -p %{buildroot}%{_iconsdir}/hicolor/48x48/apps/
install -m 0644 src/Resources/Icons/VeraCrypt-16x16.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
install -m 0644 src/Resources/Icons/VeraCrypt-48x48.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png



%changelog
* Sat Jun 03 2017 akien <akien> 1.19-2.mga6
+ Revision: 1106131
- Rebuild for wxgtk 3.0.3.1

* Fri Jun 02 2017 neoclust <neoclust> 1.19-1.mga6
+ Revision: 1105806
- imported package veracrypt

